import pygame
pygame.init()
pygame.mixer.init()

screen = pygame.display.set_mode([800,420])
mainloop = True
fps = 30
clock = pygame.time.Clock()
hammerImage= pygame.image.load("hammer.jpg").convert()
screen.fill([255,255,255])
screen.blit(hammerImage, (0,0))
last_pos_ccrd = 100
hammerTime=False

def play_hammerSound(): # plays the hammer sound file
    sound = pygame.mixer.Sound('hammeronce.wav')
    sound.play()

def get_rotation(): # returns accelerometer data
   f = open("/sys/class/i2c-adapter/i2c-3/3-001d/coord", 'r' )
   coords = [int(w) for w in f.readline().split()]
   f.close()
   return coords

while mainloop:
    tick_time = clock.tick(fps) # milliseconds since last frame
    a = get_rotation()
    pygame.display.set_caption("maeHammer, a[0]: %.2f" % (a[0]))
    if (a[0]>0):
        if (hammerTime==False) and (a[0]>last_pos_ccrd+50):
            hammerTime = True
            play_hammerSound()
    else:
        hammerTime = False
    last_pos_ccrd = a[0]
        
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            mainloop = False
        elif event.type == pygame.KEYDOWN:
            if event.key == pygame.K_ESCAPE:
                mainloop = False

    pygame.display.update()
